# Uses of Class
java.security.InvalidParameterException

Packages that use InvalidParameterException
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of InvalidParameterException in java.security

Methods in java.security that throw InvalidParameterException
Modifier and Type
Method
Description
`protected abstract Object`
SignatureSpi.`engineGetParameter(String param)`
Deprecated.
`protected abstract void`
SignatureSpi.`engineSetParameter(String param, Object value)`
Deprecated.
Replaced by `engineSetParameter`.
`final Object`
Signature.`getParameter(String param)`
Deprecated.
`final void`
Signer.`setKeyPair(KeyPair pair)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the key pair (public key and private key) for this `Signer`.
`final void`
Signature.`setParameter(String param, Object value)`
Deprecated.
Use `setParameter`.